For the complete documentation index, see llms.txt. This page is also available as Markdown.

Object templates

Info for a specific object template

get
Path parameters
projectIdstringRequired

The id of the project the object template is in

templateIdstringRequired

The id of the object template to retrieve

Responses
200

Expected response to a valid request

application/json
idstringRequired
namestringRequired
descriptionstringOptional
defaultTemplateVersionIdstringOptional
createdAtstringRequired
createdByone ofRequired
or
get/v1/mml-objects/{projectId}/object-templates/{templateId}

Edit a template

post
Path parameters
projectIdstringRequired

The id of the project the object template is in

templateIdstringRequired

The id of the object template to edit

Body
namestringOptional
descriptionstringOptional
defaultTemplateVersionIdstringOptional
Responses
200

Expected response to a valid request

application/json
idstringRequired
namestringRequired
descriptionstringOptional
defaultTemplateVersionIdstringOptional
createdAtstringRequired
createdByone ofRequired
or
post/v1/mml-objects/{projectId}/object-templates/{templateId}

Was this helpful?